From linux-usb-devel-admin@lists.sourceforge.net Sun Jun  5 05:47:54 2005
From: Domen Puncer <domen@coderock.org>
Message-ID: <20050605124616.GA1246@nd47.coderock.org>
Subject: USB: usblp: 2x up() in usblp_read
Date: Sun, 5 Jun 2005 14:46:16 +0200

up(&usblp->sem) was called twice in a row in this code path.

Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>

---
 drivers/usb/class/usblp.c |    1 +
 1 files changed, 1 insertion(+)

--- gregkh-2.6.orig/drivers/usb/class/usblp.c	2005-06-09 22:39:34.000000000 -0700
+++ gregkh-2.6/drivers/usb/class/usblp.c	2005-06-09 22:44:48.000000000 -0700
@@ -753,6 +753,7 @@
 				schedule();
 			} else {
 				set_current_state(TASK_RUNNING);
+				down(&usblp->sem);
 				break;
 			}
 			down (&usblp->sem);
